/*
 * rox_path.c - utilities for path handling, support for drag & drop
 *
 * $Id: rox_path.h,v 1.1 2001/07/17 14:44:50 stephen Exp $
 */

#ifndef _rox_path_h
#define _rox_path_h

/* Pass results to g_free() when done */
extern gchar *rox_path_get_local(const gchar *uri);
extern gchar *rox_path_get_server(const gchar *uri);
extern gchar *rox_path_get_path(const gchar *uri);

#endif

/*
 * $Log: rox_path.h,v $
 * Revision 1.1  2001/07/17 14:44:50  stephen
 * Added DnD stuff (plus path utils and debug util)
 *
 */
